org.appng.appngizer.model.xml

## Class Role

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Role

- Direct Known Subclasses:
    Role

      public class Role
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="application" type="{http://www.appng.org/schema/appngizer}stringNotBlank"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element ref="{http://www.appng.org/schema/appngizer}permissions" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `application`
    `protected String` | `description`
    `protected Permissions` | `permissions`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Role()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplication()` Gets the value of the application property.
    `String` | `getDescription()` Gets the value of the description property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `void` | `setApplication(String value)` Sets the value of the application property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### application

          protected String application

    - #### description

          protected String description

    - #### permissions

          protected Permissions permissions

  - ### Constructor Detail

    - #### Role

          public Role()

  - ### Method Detail

    - #### getApplication

          public String getApplication()

      Gets the value of the application property.
      Returns:
        possible object is `String`

    - #### setApplication

          public void setApplication(String value)

      Sets the value of the application property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.